curl --request PATCH \ --url https://channels-service-alpha.fourvenues.com/bookings/{bookingId}/observations \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <api-key>' \ --data '{ "observations_referral": "This client is a VIP. Please give him a good table."}'
import requests
url = "https://channels-service-alpha.fourvenues.com/bookings/{bookingId}/observations"
payload = { "observations_referral": "This client is a VIP. Please give him a good table." }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({observations_referral: 'This client is a VIP. Please give him a good table.'})
};
fetch('https://channels-service-alpha.fourvenues.com/bookings/{bookingId}/observations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://channels-service-alpha.fourvenues.com/bookings/{bookingId}/observations"
payload := strings.NewReader("{\n \"observations_referral\": \"This client is a VIP. Please give him a good table.\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.patch("https://channels-service-alpha.fourvenues.com/bookings/{bookingId}/observations")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"observations_referral\": \"This client is a VIP. Please give him a good table.\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://channels-service-alpha.fourvenues.com/bookings/{bookingId}/observations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"observations_referral\": \"This client is a VIP. Please give him a good table.\"\n}"
response = http.request(request)
puts response.read_body
curl --request PATCH \ --url https://channels-service-alpha.fourvenues.com/bookings/{bookingId}/observations \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <api-key>' \ --data '{ "observations_referral": "This client is a VIP. Please give him a good table."}'
import requests
url = "https://channels-service-alpha.fourvenues.com/bookings/{bookingId}/observations"
payload = { "observations_referral": "This client is a VIP. Please give him a good table." }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({observations_referral: 'This client is a VIP. Please give him a good table.'})
};
fetch('https://channels-service-alpha.fourvenues.com/bookings/{bookingId}/observations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://channels-service-alpha.fourvenues.com/bookings/{bookingId}/observations"
payload := strings.NewReader("{\n \"observations_referral\": \"This client is a VIP. Please give him a good table.\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.patch("https://channels-service-alpha.fourvenues.com/bookings/{bookingId}/observations")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"observations_referral\": \"This client is a VIP. Please give him a good table.\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://channels-service-alpha.fourvenues.com/bookings/{bookingId}/observations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"observations_referral\": \"This client is a VIP. Please give him a good table.\"\n}"
response = http.request(request)
puts response.read_body
"This client is a VIP. Please give him a good table."
Response
OK
data
object
The wire contract for a booking, AT THE LATEST VERSION.
This is the single source of truth: toBookingResponse is annotated to
return it (so the code cannot drift from it without a compile error), and the
OpenAPI spec + docs + breaking-change gate are all generated from it.
Dates are ISO-8601 strings — the real wire form res.json produces from the
underlying serialized values. Mongo ObjectIds are plain strings.
Keys produced conditionally by the serializer (spread guards) are optional.
Show child attributes
success
boolean
Example:
true
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Fourvenues API","colors":{"primary":"#3b82f6","light":"#bfdbfe","dark":"#1e3a8a"},"logo":{"light":"https://mintcdn.com/fourvenues/Ac72CI1QKm9VekjS/logo/light.svg?fit=max\u0026auto=format\u0026n=Ac72CI1QKm9VekjS\u0026q=85\u0026s=34ea2eeb6703cf90846a1e2b12c609f4","dark":"https://mintcdn.com/fourvenues/9J2VM2OC0BjwtJkX/logo/dark.svg?fit=max\u0026auto=format\u0026n=9J2VM2OC0BjwtJkX\u0026q=85\u0026s=74f3030430b847511eda6a8a53b2b2a9"},"favicon":"https://mintcdn.com/fourvenues/Ac72CI1QKm9VekjS/favicon.png?fit=max\u0026auto=format\u0026n=Ac72CI1QKm9VekjS\u0026q=85\u0026s=d15a8ade3ca7d1be1b67cf5eef18e987","api":{"mdx":{"auth":{"method":"key"},"server":"https://channels-service.fourvenues.com"}},"navbar":{"links":[{"href":"https://www.fourvenues.com/","label":"Contact Us"}]},"footer":{"socials":{"linkedin":"https://www.linkedin.com/company/fourvenues","github":"https://github.com/fourvenuestech"}},"integrations":{"plausible":{"domain":"docs.fourvenues.com"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"fourvenues","hasAudioNarration":false,"actualSubdomain":"fourvenues","customDomains":["docs.fourvenues.com"],"gitSource":{"type":"github","owner":"fourvenuestech","repo":"docs.fourvenues.com","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6ac3bd69efb6989e0145c9a0","clientVersion":"0.0.4143","searchFilterCounts":[{"language":"default","tag":"API Reference","count":131},{"language":"default","tag":"Integrations API","count":85},{"language":"default","tag":"Channel Manager API","count":62},{"language":"default","tag":"Bookings","count":21},{"language":"default","tag":"Tickets","count":20},{"language":"default","tag":"Introduction","count":19},{"language":"default","tag":"Discount Codes","count":12},{"language":"default","tag":"Lists","count":10},{"language":"default","tag":"Webhook Endpoints","count":10},{"language":"default","tag":"Events","count":8}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"channel-manager/api-reference/bookings/patch-booking-observations","slug":"/channel-manager/api-reference/bookings/patch-booking-observations","pageMetadata":{"openapi":"patch /bookings/{bookingId}/observations","title":"Update observations of a booking","description":"Update observations of a booking","href":"/channel-manager/api-reference/bookings/patch-booking-observations"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Update observations of a booking\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"patch /bookings/{bookingId}/observations","title":"Update observations of a booking","description":"Update observations of a booking","href":"/channel-manager/api-reference/bookings/patch-booking-observations"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"security":["3e0d7b51-020b-44aa-b3c3-145d36c6a301"],"tags":["Bookings"],"summary":"Update observations of a booking","operationId":"patchObservationsReferral","responses":{"200":"c11909af-3025-4ad2-901e-268aa08f6959","401":"2393758d-8e27-45d7-a67e-3c5cd3155206","404":"e13b80ad-0c58-4980-b9e4-ae26b7546144"},"description":"Update observations of a booking","parameters":["3f4b54d7-cbc7-41ca-bb48-2c66354d6531"],"requestBody":"6a0b4418-c768-46c2-9cd8-ca20877f51cd","method":"patch","type":"path","servers":["be2133d7-3380-4216-839b-05355115ce51","37e90a5b-98b6-43ac-868b-75f6e716b5c7"],"path":"/bookings/{bookingId}/observations","baseUrlOptions":["https://channels-service-alpha.fourvenues.com","https://channels-service.fourvenues.com"],"title":"Update observations of a booking","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"3f4b54d7-cbc7-41ca-bb48-2c66354d6531":{"name":"bookingId","in":"path","required":true,"description":"Booking ID","schema":{"type":"string","isRequired":true,"description":"Booking ID","uniqueKey":"","typeLabel":"string"}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"observations_referral":{"type":"string","description":"Observations of the referral","example":"This client is a VIP. Please give him a good table.","uniqueKey":"observations_referral","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"observations_referral":"This client is a VIP. Please give him a good table."}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"c11909af-3025-4ad2-901e-268aa08f6959":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"_id":{"type":"string","isRequired":true,"uniqueKey":"data._id","typeLabel":"string"},"event_id":{"type":"string","isRequired":true,"uniqueKey":"data.event_id","typeLabel":"string"},"organization_id":{"type":"string","isRequired":true,"uniqueKey":"data.organization_id","typeLabel":"string"},"channel_id":{"type":"string","isRequired":true,"uniqueKey":"data.channel_id","typeLabel":"string"},"referral_id":{"type":"string","isRequired":true,"uniqueKey":"data.referral_id","typeLabel":"string"},"status":{"type":"string","enum":["pending","filled-by-client","cancelled-by-client","rejected","accepted","arrived","arrived-partial","seated","seated-partial","released","not-show","to-review","not-completed"],"isRequired":true,"uniqueKey":"data.status","typeLabel":"enum\u003cstring>"},"zone_slug":{"type":"string","isRequired":true,"uniqueKey":"data.zone_slug","typeLabel":"string"},"rate_slug":{"type":"string","isRequired":true,"uniqueKey":"data.rate_slug","typeLabel":"string"},"quantity":{"type":"number","isRequired":true,"uniqueKey":"data.quantity","typeLabel":"number"},"full_name":{"type":"string","isRequired":true,"uniqueKey":"data.full_name","typeLabel":"string"},"email":{"type":"string","isRequired":true,"uniqueKey":"data.email","typeLabel":"string"},"phone":{"type":"string","isRequired":true,"uniqueKey":"data.phone","typeLabel":"string"},"deposit":{"type":"number","isRequired":true,"uniqueKey":"data.deposit","typeLabel":"number"},"fee_type":{"type":"string","enum":["percentage","fixed"],"isRequired":true,"uniqueKey":"data.fee_type","typeLabel":"enum\u003cstring>"},"fee_quantity":{"type":"number","isRequired":true,"uniqueKey":"data.fee_quantity","typeLabel":"number"},"qr_code":{"type":"string","isRequired":true,"uniqueKey":"data.qr_code","typeLabel":"string"},"activation_code":{"type":"string","isRequired":true,"uniqueKey":"data.activation_code","typeLabel":"string"},"payment_id":{"type":"string","isRequired":true,"uniqueKey":"data.payment_id","typeLabel":"string"},"table_id":{"type":"string","uniqueKey":"data.table_id","typeLabel":"string"},"observations_referral":{"type":"string","uniqueKey":"data.observations_referral","typeLabel":"string"},"observations_client":{"type":"string","uniqueKey":"data.observations_client","typeLabel":"string"},"marketing_consent":{"type":"boolean","uniqueKey":"data.marketing_consent","typeLabel":"boolean"},"payment_url":{"type":"string","uniqueKey":"data.payment_url","typeLabel":"string"},"birthdate":{"type":"string","description":"ISO-8601 date (YYYY-MM-DD)","uniqueKey":"data.birthdate","typeLabel":"string"},"billing_info":{"type":"object","properties":{"customer_type":{"type":"string","enum":["individual","company"],"isRequired":true,"uniqueKey":"data.billing_info.customer_type","typeLabel":"enum\u003cstring>"},"customer_name":{"type":"string","isRequired":true,"uniqueKey":"data.billing_info.customer_name","typeLabel":"string"},"document_type":{"type":"string","enum":["dni","nie","passport","other"],"isRequired":true,"uniqueKey":"data.billing_info.document_type","typeLabel":"enum\u003cstring>"},"document_number":{"type":"string","isRequired":true,"uniqueKey":"data.billing_info.document_number","typeLabel":"string"},"address":{"type":"string","isRequired":true,"uniqueKey":"data.billing_info.address","typeLabel":"string"},"city":{"type":"string","isRequired":true,"uniqueKey":"data.billing_info.city","typeLabel":"string"},"postal_code":{"type":"string","isRequired":true,"uniqueKey":"data.billing_info.postal_code","typeLabel":"string"},"country":{"type":"string","isRequired":true,"uniqueKey":"data.billing_info.country","typeLabel":"string"}},"required":["customer_type","customer_name","document_type","document_number","address","city","postal_code","country"],"uniqueKey":"data.billing_info","typeLabel":"object"}},"required":["_id","event_id","organization_id","channel_id","referral_id","status","zone_slug","rate_slug","quantity","full_name","email","phone","deposit","fee_type","fee_quantity","qr_code","activation_code","payment_id"],"description":"The wire contract for a booking, AT THE LATEST VERSION.\n\nThis is the single source of truth: `toBookingResponse` is annotated to\nreturn it (so the code cannot drift from it without a compile error), and the\nOpenAPI spec + docs + breaking-change gate are all generated from it.\n\nDates are ISO-8601 strings — the real wire form `res.json` produces from the\nunderlying serialized values. Mongo ObjectIds are plain strings.\n\nKeys produced conditionally by the serializer (spread guards) are optional.","uniqueKey":"data","typeLabel":"object"},"success":{"type":"boolean","example":true,"uniqueKey":"success","typeLabel":"boolean"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"data":{"_id":"\u003cstring>","event_id":"\u003cstring>","organization_id":"\u003cstring>","channel_id":"\u003cstring>","referral_id":"\u003cstring>","status":"pending","zone_slug":"\u003cstring>","rate_slug":"\u003cstring>","quantity":123,"full_name":"\u003cstring>","email":"\u003cstring>","phone":"\u003cstring>","deposit":123,"fee_type":"percentage","fee_quantity":123,"qr_code":"\u003cstring>","activation_code":"\u003cstring>","payment_id":"\u003cstring>","table_id":"\u003cstring>","observations_referral":"\u003cstring>","observations_client":"\u003cstring>","marketing_consent":true,"payment_url":"\u003cstring>","birthdate":"\u003cstring>","billing_info":{"customer_type":"individual","customer_name":"\u003cstring>","document_type":"dni","document_number":"\u003cstring>","address":"\u003cstring>","city":"\u003cstring>","postal_code":"\u003cstring>","country":"\u003cstring>"}},"success":true}}},"exampleType":"generated"}},"exampleType":"generated"},"2393758d-8e27-45d7-a67e-3c5cd3155206":{"description":"You are not authorized to access this resource","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"e13b80ad-0c58-4980-b9e4-ae26b7546144":{"description":"Booking not found","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"3e0d7b51-020b-44aa-b3c3-145d36c6a301":{"ApiKey":{"in":"header","name":"X-Api-Key","type":"apiKey","scopes":[]}}},"servers":{"be2133d7-3380-4216-839b-05355115ce51":{"url":"https://channels-service-alpha.fourvenues.com","description":"Test server"},"37e90a5b-98b6-43ac-868b-75f6e716b5c7":{"url":"https://channels-service.fourvenues.com","description":"Production server"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"in":"header","name":"X-Api-Key","type":"apiKey","scopes":[]},"schema":{"title":"X-Api-Key","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"ApiKey","name":"X-Api-Key"}],"title":"ApiKey"}]},"originalFileLocation":"openapi/channel_manager_api.json"},"subdomain":"fourvenues","siteName":"Fourvenues API","title":"Update observations of a booking - Fourvenues API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-09-08T09:04:32.115Z","originalFileLocation":"channel-manager/api-reference/bookings/patch-booking-observations.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Update observations of a booking\">\u003cmeta data-mint-head name=\"application-name\" content=\"Fourvenues API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/fourvenues/Yw_SY54bSs0GSoYA/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/fourvenues/Yw_SY54bSs0GSoYA/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/fourvenues/Yw_SY54bSs0GSoYA/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/fourvenues/Yw_SY54bSs0GSoYA/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/fourvenues/Yw_SY54bSs0GSoYA/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/fourvenues/Yw_SY54bSs0GSoYA/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/fourvenues/Yw_SY54bSs0GSoYA/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/fourvenues/Yw_SY54bSs0GSoYA/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/fourvenues/Yw_SY54bSs0GSoYA/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update observations of a booking - Fourvenues API\">\u003cmeta data-mint-head property=\"og:description\" content=\"Update observations of a booking\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Fourvenues API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.fourvenues.com/channel-manager/api-reference/bookings/patch-booking-observations\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://fourvenues.mintlify.site/_mintlify/api/og/v2?division=Bookings\u0026amp;title=Update+observations+of+a+booking\u0026amp;description=Update+observations+of+a+booking\u0026amp;theme=495e8dbd34f1f1d44d3c3d73\u0026amp;signature=bc88820527d2293ab6b78b061477742f9f34278107e5fb7a494f94e832987d3f\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update observations of a booking - Fourvenues API\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Update observations of a booking\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://fourvenues.mintlify.site/_mintlify/api/og/v2?division=Bookings\u0026amp;title=Update+observations+of+a+booking\u0026amp;description=Update+observations+of+a+booking\u0026amp;theme=495e8dbd34f1f1d44d3c3d73\u0026amp;signature=bc88820527d2293ab6b78b061477742f9f34278107e5fb7a494f94e832987d3f\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/fourvenues/Yw_SY54bSs0GSoYA/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Fourvenues API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#3b82f6\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.fourvenues.com/channel-manager/api-reference/bookings/patch-booking-observations\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/channel-manager/api-reference/bookings/patch-booking-observations.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.fourvenues.com/#organization\",\"name\":\"Fourvenues API\",\"url\":\"https://docs.fourvenues.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/fourvenues/Ac72CI1QKm9VekjS/logo/light.svg?fit=max\u0026auto=format\u0026n=Ac72CI1QKm9VekjS\u0026q=85\u0026s=34ea2eeb6703cf90846a1e2b12c609f4\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.fourvenues.com#website\",\"name\":\"Fourvenues API\",\"url\":\"https://docs.fourvenues.com\",\"publisher\":{\"@id\":\"https://docs.fourvenues.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.fourvenues.com/channel-manager/api-reference/bookings/patch-booking-observations#webpage\",\"url\":\"https://docs.fourvenues.com/channel-manager/api-reference/bookings/patch-booking-observations\",\"name\":\"Update observations of a booking\",\"description\":\"Update observations of a booking\",\"dateModified\":\"2026-09-08T09:04:32.115Z\",\"isPartOf\":{\"@id\":\"https://docs.fourvenues.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.fourvenues.com/channel-manager/api-reference/bookings/patch-booking-observations#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.fourvenues.com/channel-manager/api-reference/bookings/patch-booking-observations#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Reference\",\"item\":\"https://docs.fourvenues.com/channel-manager/api-reference/auth/get-auth-information\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Bookings\",\"item\":\"https://docs.fourvenues.com/channel-manager/api-reference/bookings/get-bookings\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Update observations of a booking\",\"item\":\"https://docs.fourvenues.com/channel-manager/api-reference/bookings/patch-booking-observations\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.fourvenues.com/channel-manager/api-reference/bookings/patch-booking-observations#apireference\",\"headline\":\"Update observations of a booking\",\"name\":\"Update observations of a booking\",\"description\":\"Update observations of a booking\",\"url\":\"https://docs.fourvenues.com/channel-manager/api-reference/bookings/patch-booking-observations\",\"mainEntityOfPage\":{\"@id\":\"https://docs.fourvenues.com/channel-manager/api-reference/bookings/patch-booking-observations#webpage\"},\"dateModified\":\"2026-09-08T09:04:32.115Z\",\"publisher\":{\"@id\":\"https://docs.fourvenues.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.fourvenues.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Fourvenues API\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Fourvenues API\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/channel-manager/api-reference/bookings/patch-booking-observations.md","siteName":"Fourvenues API","nav":{"global":null,"tabs":[{"tab":"Getting Start","pages":[{"title":"Getting Start","href":"/introduction/readme"}]},{"tab":"Channel Manager API","groups":[{"group":"Introduction","pages":[{"title":null,"href":"/channel-manager/introduction/overview"},{"title":"How to Use","url":"https://cm-guide.fourvenues.com/?lang=en","href":"/channel-manager/introduction/how-to-use"},{"title":null,"href":"/channel-manager/introduction/authentication"},{"title":null,"href":"/channel-manager/introduction/use-cases"},{"title":null,"href":"/channel-manager/introduction/what-can-i-do"},{"title":null,"href":"/channel-manager/introduction/requirements"}]},{"group":"API Reference","pages":[{"group":"Auth","pages":[{"openapi":"get /auth","title":"Get auth information","href":"/channel-manager/api-reference/auth/get-auth-information"}]},{"group":"Bookings","pages":[{"openapi":"get /bookings","title":"Get all bookings given a filter","href":"/channel-manager/api-reference/bookings/get-bookings"},{"openapi":"get /bookings/availability","title":null,"href":"/channel-manager/api-reference/bookings/get-bookings-availability"},{"openapi":"get /bookings/{bookingId}","title":null,"href":"/channel-manager/api-reference/bookings/get-booking-by-id"},{"openapi":"get /bookings/zones","title":"Get bookings zones for an event","href":"/channel-manager/api-reference/bookings/get-bookings-zones"},{"openapi":"post /bookings/checkout","title":"Create a checkout session for a booking","href":"/channel-manager/api-reference/bookings/post-bookings-checkout"},{"openapi":"post /bookings/request","title":"Request a booking","description":"Request a booking","href":"/channel-manager/api-reference/bookings/post-bookings-request"},{"openapi":"patch /bookings/{bookingId}/observations","title":"Update observations of a booking","href":"/channel-manager/api-reference/bookings/patch-booking-observations"}]},{"group":"Custom Taxes","pages":[{"openapi":"get /custom-taxes","title":"Get custom taxes","description":null,"href":"/channel-manager/api-reference/custom-taxes/get-custom-taxes"}]},{"group":"Discount Codes","pages":[{"openapi":"get /discount-codes/{code}","title":"Get discount code","href":"/channel-manager/api-reference/discount-codes/get-discount-code"},{"openapi":"post /discount-codes/bookings/validate/{code}","title":"Validate booking discount code","href":"/channel-manager/api-reference/discount-codes/post-discount-codes-bookings-validate"},{"openapi":"post /discount-codes/tickets/validate/{code}","title":"Validate ticket discount code","href":"/channel-manager/api-reference/discount-codes/post-discount-codes-tickets-validate"}]},{"group":"Events","pages":[{"openapi":"get /events","title":"Get all events","href":"/channel-manager/api-reference/events/get-all-events"},{"openapi":"get /events/{eventId}","title":null,"href":"/channel-manager/api-reference/events/get-an-event-by-id"},{"openapi":"get /events/by-slug/{eventSlug}","title":"Get an event by slug","href":"/channel-manager/api-reference/events/get-an-event-by-slug"},{"openapi":"post /events/{eventId}/preregister","title":"Register a user for event preregister","href":"/channel-manager/api-reference/events/post-event-preregister"}]},{"group":"Event Groups","pages":[{"openapi":"get /event-groups","title":"Get all event groups","href":"/channel-manager/api-reference/eventgroups/get-all-event-groups"},{"openapi":"get /event-groups/{eventGroupId}","title":"Get event group by id","href":"/channel-manager/api-reference/eventgroups/get-event-group-by-id"}]},{"group":"ListRates","pages":[{"openapi":"get /list-rates","title":"Get all list rates","href":"/channel-manager/api-reference/listrates/get-all-list-rates"},{"openapi":"get /list-rates/{listRateId}","title":"Get list rate by id","href":"/channel-manager/api-reference/listrates/get-list-rate-by-id"},{"openapi":"get /list-rates/by-slug/{listRateSlug}","title":"Get list rate by slug","href":"/channel-manager/api-reference/listrates/get-list-rate-by-slug"}]},{"group":"Lists","pages":[{"openapi":"get /lists","title":"Get all lists","href":"/channel-manager/api-reference/lists/get-lists"},{"openapi":"post /lists","title":"Create a new list","href":"/channel-manager/api-reference/lists/create-list"},{"openapi":"get /lists/{listId}","title":null,"href":"/channel-manager/api-reference/lists/get-list-by-id"},{"openapi":"get /lists/by-code/{listCode}","title":null,"href":"/channel-manager/api-reference/lists/get-list-by-code"}]},{"group":"Locations","pages":[{"openapi":"get /locations","title":"Get all locations","href":"/channel-manager/api-reference/locations/get-all-locations"},{"openapi":"get /locations/{locationId}","title":"Get location","href":"/channel-manager/api-reference/locations/get-location"}]},{"group":"Organizations","pages":[{"openapi":"get /organizations","title":"Get all organizations","href":"/channel-manager/api-reference/organizations/get-all-organizations"},{"openapi":"get /organizations/{organizationId}","title":"Get an organization by id","href":"/channel-manager/api-reference/organizations/get-an-organization-by-id"},{"openapi":"get /organizations/by-slug/{organizationSlug}","title":"Get an organization by slug","href":"/channel-manager/api-reference/organizations/get-an-organization-by-slug"}]},{"group":"Payments","pages":[{"openapi":"get /payments","title":"Get all payments","href":"/channel-manager/api-reference/payments/get-all-payments"},{"openapi":"get /payments/{paymentId}","title":null,"href":"/channel-manager/api-reference/payments/get-a-payment-by-id"}]},{"group":"TicketRates","pages":[{"openapi":"get /ticket-rates","title":"Get all ticket rates","href":"/channel-manager/api-reference/ticketrates/get-all-ticket-rates"},{"openapi":"get /ticket-rates/{ticketRateId}","title":"Get ticket rate by id","href":"/channel-manager/api-reference/ticketrates/get-ticket-rate-by-id"},{"openapi":"get /ticket-rates/{ticketRateId}/pricing-info","title":"Get pricing info of a ticket rate given a quantity of tickets","href":"/channel-manager/api-reference/ticketrates/get-pricing-info-of-a-ticket-rate-given-a-quantity-of-tickets"},{"openapi":"get /ticket-rates/by-slug/{ticketRateSlug}","title":"Get ticket rate by slug","href":"/channel-manager/api-reference/ticketrates/get-ticket-rate-by-slug"}]},{"group":"Tickets","pages":[{"openapi":"get /tickets","title":"Get tickets","href":"/channel-manager/api-reference/tickets/get-tickets"},{"openapi":"post /tickets","title":"Create ticket","href":"/channel-manager/api-reference/tickets/create-ticket"},{"openapi":"post /tickets/checkout","title":"Checkout tickets","href":"/channel-manager/api-reference/tickets/checkout-tickets"},{"openapi":"get /tickets/{ticketId}","title":null,"href":"/channel-manager/api-reference/tickets/get-ticket-by-id"},{"openapi":"get /tickets/by-code/{ticketCode}","title":null,"href":"/channel-manager/api-reference/tickets/get-ticket-by-code"},{"openapi":"put /tickets/{ticketId}/refund","title":"Refund Ticket","href":"/channel-manager/api-reference/tickets/refund-ticket"},{"openapi":"get /tickets/{ticketId}/upselling","title":"Get ticket upselling catalog","href":"/channel-manager/api-reference/tickets/get-ticket-upselling"},{"openapi":"post /tickets/{ticketId}/upselling/checkout","title":"Checkout ticket upselling","href":"/channel-manager/api-reference/tickets/checkout-ticket-upselling"}]},{"group":"Tip Rates","pages":[{"openapi":"get /tip-rates","title":"Get tip rates","href":"/channel-manager/api-reference/tip-rates/get-tip-rates"}]},{"group":"Webhook Endpoints","pages":[{"openapi":"get /webhooks/endpoints","title":"Get all webhooks endpoints","href":"/channel-manager/api-reference/webhooks/get-all-webhooks-endpoints"},{"openapi":"post /webhooks/endpoints","title":"Create a new webhook endpoint","href":"/channel-manager/api-reference/webhooks/create-a-new-webhook-endpoint"},{"openapi":"delete /webhooks/endpoints/{id}","title":"Delete a webhook endpoint by id","href":"/channel-manager/api-reference/webhooks/delete-a-webhook-endpoint-by-id"}]}]},{"group":"Webhooks","pages":[{"group":"Introduction","pages":[{"title":null,"href":"/channel-manager/webhooks/introduction/introduction"},{"title":null,"href":"/channel-manager/webhooks/introduction/creating-a-webhook-endpoint"},{"title":null,"href":"/channel-manager/webhooks/introduction/authentication"},{"title":null,"href":"/channel-manager/webhooks/introduction/webhook-event-object"}]},{"group":"Events","pages":[{"title":"Payment Success Event","href":"/channel-manager/webhooks/events/payment-success-event"},{"title":"Ticket Refund Request Event","href":"/channel-manager/webhooks/events/ticket-request-refund-event"}]}]},{"group":"Recipes","pages":[{"title":"💳 Creating a Checkout Process","href":"/channel-manager/recipes/creating-a-checkout-process"},{"title":"🔊 Listening to Webhooks","href":"/channel-manager/recipes/listening-to-webhooks"}]}]},{"tab":"Integrations API","pages":[{"title":"Integrations API","href":"/integrations/introduction/overview"}]},{"tab":"Reseller API","pages":[{"title":"Reseller API","href":"/reseller/introduction/overview"}]}]},"basePath":"","title":"Update observations of a booking - Fourvenues API","buildId":"dpl_Fyv1NbzwP68g2bEH2Roy98uY1zmE","deploymentId":"dpl_Fyv1NbzwP68g2bEH2Roy98uY1zmE","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DdEMm2kG.js","utils-BMo572L7.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-C-4m9KAx.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DPLK2Oq9.js","snippetPresets-BKjfJMC9.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-DTsgtCEj.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C8vmhyQM.js","shallow-r9w8LQGS.js","getApiPlaygroundDisplay-DjPI64HQ.js","CodeSnippet-C8Bvhl16.js","CodeSnippets-BtWUwcMy.js","Page-BIYvYBgk.js","getPastedJson-Dcm_3Pgl.js","icon-BXwrTpjc.js","MethodPill-CcjfVmmy.js","DuplicateIcon-BuKIbXAQ.js","createIcon-DaL9yXsO.js","DynamicMarkdown-Co5nikxh.js","SectionHeading-P4UNTsMZ.js","axios-vUo_bRtp.js","Markdown-CEfymfIH.js","clsx-Dq9TQuNi.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-D2J8knkn.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BgZ2ThuU.js"]}